> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/rest-api/datasources/list.md).

# list

## HTTP Request

```http
GET /api/v1/workflows/:workflowReference/dataSources
```

## Path parameters

| Parameter         |                                                                                                                         |
| ----------------- | ----------------------------------------------------------------------------------------------------------------------- |
| workflowReference | A qualified reference to the workflow. See [referencing resources](/api/referencing-resources.md) for more information. |

## Query parameters

| Parameter  |                                                                                              |
| ---------- | -------------------------------------------------------------------------------------------- |
| maxResults | Default 100. Must be less than 1000.                                                         |
| pageToken  | For paginating through results, provide the value returned from the previous table.list call |

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md).
{% endhint %}

## Authorization

You must have read access to the workflow. If a workflow is not public, your access token must have one of the following scopes:

* workflow\.read

[Learn more about authorization.](/api/rest-api/authorization.md)

## Request body

The request body must be empty.

## Response body

Returns a JSON representation of an array of [dataSource resources](/api/resource-definitions/datasource.md).

```javascript
{
    "kind": "dataSourceList",
    "nextPageToken": string,
    "results": [
        object(dataSource.list)
    ]
}
```

## Examples

{% tabs %}
{% tab title="curl" %}

```bash
# List the dataSources at https://redivis.com/workflows/x7kh-5pvd4mbf1
curl -H "Authorization: Bearer $REDIVIS_ACCESS_TOKEN" \
"https://redivis.com/api/v1/workflows/imathews.example_worfklow_climate_analysis:x7kh/dataSources"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redivis.com/api/rest-api/datasources/list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
